Bug 21612 - Incorrect GROUP BY in Koha::Virtualshelves
Summary: Incorrect GROUP BY in Koha::Virtualshelves
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17258
  Show dependency treegraph
 
Reported: 2018-10-18 22:10 UTC by Jonathan Druart
Modified: 2018-11-28 10:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21612: Remove incorrect GROUP BY's from Koha::VirtualShelves (1.67 KB, patch)
2018-10-18 22:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21612: Remove incorrect GROUP BY's from Koha::VirtualShelves (1.74 KB, patch)
2018-10-25 14:50 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 21612: Remove incorrect GROUP BY's from Koha::VirtualShelves (1.83 KB, patch)
2018-10-26 09:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-18 22:10:28 UTC
Same as
  commit 7e220e0d8f107cce63f32bfaa1919c04b4dea6e2
  Bug 20179: [sql_modes] Remove GROUP BY in get_shelves_containing_record

for get_private_shelves, get_public_shelves and get_some_shelves
Comment 1 Jonathan Druart 2018-10-18 22:17:48 UTC
Created attachment 80883 [details] [review]
Bug 21612: Remove incorrect GROUP BY's from Koha::VirtualShelves

'koha_kohadev.me.shelfname' isn't in GROUP BY

Same as
  commit 7e220e0d8f107cce63f32bfaa1919c04b4dea6e2
  Bug 20179: [sql_modes] Remove GROUP BY in get_shelves_containing_record

Test plan:
- Add public and privates shelves
- Shares some of them
- List them
=> The correct numbers of shelves must be displayed
Comment 2 Jonathan Druart 2018-10-25 14:45:42 UTC
To test this patch you will need the patches from bug 21610, otherwise you will get another failure when trying to create a new list:
  Incorrect integer value: '' for column 'allow_change_from_others'
Comment 3 Andrew Isherwood 2018-10-25 14:50:54 UTC
Created attachment 81164 [details] [review]
Bug 21612: Remove incorrect GROUP BY's from Koha::VirtualShelves

'koha_kohadev.me.shelfname' isn't in GROUP BY

Same as
  commit 7e220e0d8f107cce63f32bfaa1919c04b4dea6e2
  Bug 20179: [sql_modes] Remove GROUP BY in get_shelves_containing_record

Test plan:
- Add public and privates shelves
- Shares some of them
- List them
=> The correct numbers of shelves must be displayed

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 4 Marcel de Rooy 2018-10-26 09:50:12 UTC
Created attachment 81261 [details] [review]
Bug 21612: Remove incorrect GROUP BY's from Koha::VirtualShelves

'koha_kohadev.me.shelfname' isn't in GROUP BY

Same as
  commit 7e220e0d8f107cce63f32bfaa1919c04b4dea6e2
  Bug 20179: [sql_modes] Remove GROUP BY in get_shelves_containing_record

Test plan:
- Add public and privates shelves
- Shares some of them
- List them
=> The correct numbers of shelves must be displayed

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Nick Clemens 2018-10-26 17:20:27 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-11-06 11:55:51 UTC
Pushed to 18.05.x for 18.05.06
Comment 7 Fridolin SOMERS 2018-11-28 10:00:45 UTC
I pass for sql modes in 17.11.x